summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNick Sarnie <sarnex@gentoo.org>2020-04-04 15:06:37 -0400
committerNick Sarnie <sarnex@gentoo.org>2020-04-04 15:25:37 -0400
commitf543e0550a71b1228ac7d66a76577014d3ebadc3 (patch)
tree7ddac6910817a03b5b055615c3fc3bcc3a52db8f
parentmedia-libs/vulkan-layers: Bump to 1.2.135 (diff)
downloadgentoo-f543e0550a71b1228ac7d66a76577014d3ebadc3.tar.gz
gentoo-f543e0550a71b1228ac7d66a76577014d3ebadc3.tar.bz2
gentoo-f543e0550a71b1228ac7d66a76577014d3ebadc3.zip
dev-util/vulkan-tools: Bump to 1.2.135
Package-Manager: Portage-2.3.96, Repoman-2.3.22 Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
-rw-r--r--dev-util/vulkan-tools/Manifest1
-rw-r--r--dev-util/vulkan-tools/vulkan-tools-1.2.135.ebuild81
2 files changed, 82 insertions, 0 deletions
diff --git a/dev-util/vulkan-tools/Manifest b/dev-util/vulkan-tools/Manifest
index 8a86652fa8a..777fefb0a1d 100644
--- a/dev-util/vulkan-tools/Manifest
+++ b/dev-util/vulkan-tools/Manifest
@@ -1,2 +1,3 @@
DIST vulkan-tools-1.1.124.tar.gz 691639 BLAKE2B 6c40d8fd9498205bac9eedfc97486a0567f503847f5efff7d2e36563f72862b9a74e7d5b8c61e7d92822a4fbb91c24ee72614f7efb85aff68d4dbda42e09c422 SHA512 9f1f5dad1a5a847dc2fcc43382ee86f19a4c4b97c300f096b3cb33852378fcb260c33e6e920e9b70839a726bd6473ccceb8ef7504a530a3553dcb30c3ac74421
DIST vulkan-tools-1.2.133a.tar.gz 698176 BLAKE2B 55f1b298a5daf7c656492c75999002aa54811df448f635e6d0c95cf717ae00c8d8158c39557c3c646281f1b763a848716d1a4429540a5a3a137462e355338427 SHA512 3f7a431b6889e2d62d16105b928707b9ae9d77515398284bfde8ced7b0741523f0b37c281c789d5c786c089854010edb9c7b18ed373f342ca0db7533ec9fd698
+DIST vulkan-tools-1.2.135.tar.gz 709765 BLAKE2B 3e25e8936ebad2b5488618ec3680a322e9b3b20976cbf8e61b37702482e2203bc93c6f63ad5122688e074e9f1b178c57fa32b623ca07321fd7fb08b5aec9eef3 SHA512 604f4815b837bffca132fc0cb6f155ad59c8c13d68dea70d1ca18d1595c6c834f296faac551467766b5e7fe3e3afa3e91c0bb299b365603de2719df9232dde40
diff --git a/dev-util/vulkan-tools/vulkan-tools-1.2.135.ebuild b/dev-util/vulkan-tools/vulkan-tools-1.2.135.ebuild
new file mode 100644
index 00000000000..1d6d8e74d61
--- /dev/null
+++ b/dev-util/vulkan-tools/vulkan-tools-1.2.135.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN=Vulkan-Tools
+CMAKE_ECLASS="cmake"
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit cmake-multilib python-any-r1
+
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://github.com/KhronosGroup/${MY_PN}.git"
+ EGIT_SUBMODULES=()
+ inherit git-r3
+else
+ SRC_URI="https://github.com/KhronosGroup/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~ppc64"
+ S="${WORKDIR}"/${MY_PN}-${PV}
+fi
+
+DESCRIPTION="Official Vulkan Tools and Utilities for Windows, Linux, Android, and MacOS"
+HOMEPAGE="https://github.com/KhronosGroup/Vulkan-Tools"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="cube wayland +X"
+
+# Cube demo only supports one window system at a time
+REQUIRED_USE="!cube? ( || ( X wayland ) ) cube? ( ^^ ( X wayland ) )"
+
+BDEPEND="${PYTHON_DEPS}
+ >=dev-util/cmake-3.10.2
+ cube? ( dev-util/glslang:=[${MULTILIB_USEDEP}] )
+"
+RDEPEND="
+ >=media-libs/vulkan-loader-${PV}:=[${MULTILIB_USEDEP},wayland?,X?]
+ wayland? ( dev-libs/wayland:=[${MULTILIB_USEDEP}] )
+ X? (
+ x11-libs/libX11:=[${MULTILIB_USEDEP}]
+ x11-libs/libXrandr:=[${MULTILIB_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}
+ >=dev-util/vulkan-headers-${PV}
+"
+
+pkg_setup() {
+ MULTILIB_CHOST_TOOLS=(
+ /usr/bin/vulkaninfo
+ )
+
+ use cube && MULTILIB_CHOST_TOOLS+=(
+ /usr/bin/vkcube
+ /usr/bin/vkcubepp
+ )
+
+ python-any-r1_pkg_setup
+}
+
+multilib_src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_SKIP_RPATH=ON
+ -DBUILD_VULKANINFO=ON
+ -DBUILD_CUBE=$(usex cube)
+ -DBUILD_WSI_WAYLAND_SUPPORT=$(usex wayland)
+ -DBUILD_WSI_XCB_SUPPORT=$(usex X)
+ -DBUILD_WSI_XLIB_SUPPORT=$(usex X)
+ -DVULKAN_HEADERS_INSTALL_DIR="${EPREFIX}/usr"
+ )
+
+ use cube && mycmakeargs+=(
+ -DGLSLANG_INSTALL_DIR="${EPREFIX}/usr"
+ -DCUBE_WSI_SELECTION=$(usex X XCB WAYLAND)
+ )
+
+ cmake_src_configure
+}
+
+multilib_src_install() {
+ cmake_src_install
+}